Commit 54aa78c9 authored by Manuel Tortosa's avatar Manuel Tortosa

Add kipi-plugins

parent 474a4478
# Mantainer: Manuel Tortosa <manutortosa@gmail.com>
pkgname=kipi-plugins
pkgver=1.2.0
pkgrel=1
pkgdesc="libkipi plugins for digikam and kde apps"
arch=('i686' 'x86_64')
license=('GPL')
url="http://www.kipi-plugins.org"
makedepends=('pkgconfig' 'cmake' 'automoc4')
depends=('kdegraphics-common' 'kdepimlibs' 'opencv' 'libgpod')
source=("http://downloads.sourceforge.net/kipi/$pkgname-$pkgver.tar.bz2")
optdepends=('imagemagick: for picture manipulation'
'qca: for shwup webservice support')
install=${pkgname}.install
md5sums=('f11471f680f8efde2fa72b76b68134be')
build() {
cd $srcdir
mkdir build
cd build
cmake ../${pkgname}-${pkgver} \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_SKIP_RPATH=ON
make || return 1
}
package() {
cd ${srcdir}/build
make DESTDIR=$pkgdir install || return 1
}
post_install() {
xdg-icon-resource forceupdate --theme hicolor &> /dev/null
}
post_upgrade() {
post_install
}
post_remove() {
post_install
}
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment